Support Matrix

PulseUno

Software version 23.2

This document provides information on the hardware and software requirements, supported operating systems, tools, and integrations for PulseUno.

In this topic:

     Hardware requirements 1

     Software requirements 2

     Operating systems 2

     Databases 3

     License manager 4

     Browsers 4

     Integrations with other products and tools 4

     Package managers 5

     Plugins 6

Hardware requirements

For a lightly used system with all components, your computer must meet the minimum hardware requirements specified in the following table.

For large-scale operations, we recommend installing the database and the Vault and Git servers on separate machines.

Component

Minimum requirements

CPU

4-core or more.

Memory

812 GB or more.

Disk space

About 1.3 GB of free space for a full installation.

 Back to top

Software requirements

The following table lists the software requirements for PulseUno.

Software

Comments

OpenText Common Tools:

         Common Tomcat 9.0

         Common Java Runtime Environment 11.0

Included in the installation package.

If you already have these applications on your PulseUno machine, the installer detects and upgrades them. The missing software is installed automatically.

Windows only: Microsoft Visual C++ 2017 Redistributable, 64-bit

Included in the installation package and installed automatically.

Git command line 2.x

Git synchronization with Dimensions CM: If you plan to synchronize Git branches with Dimensions CM, install a Git command-line tool before installing PulseUno.

 Back to top

Operating systems

PulseUno runs on Windows and Linux systems. Virtual machines and containers are generally supported, provided they have dedicated resources.

The following table lists operating systems supported by this version of PulseUno.

Operating system

Version

Comments

MS Windows Server

2022 LTSC

Certified[1]

2019 LTSC

Certified

2016, 64-bit, x64

 

2012 R2, 64-bit, x64

 

Red Hat Enterprise Linux

8.x, 64-bit, x64

Certified

7.9+, 64-bit, x64

 

SUSE Linux

SUSE Linux ES 15.x, 64-bit, x64

Certified

Ubuntu

Ubuntu 22.04 LTS

 

Ubuntu 20.04, 64-bit, x64

Certified

Ubuntu 18.04, 64-bit, x64

 

Amazon Linux

Amazon Linux 2 (Large Template minimum)

Certified

[1]Certified indicates that this is the primary test platform. The platform functions normally, and any found defects will be fixed.

 Back to top

Databases

The following table lists databases supported by this version of PulseUno.

Database

Version

Comments

MS SQL Server

2019

Certified

2017

 

Oracle

21c

Certified

19c

 

18c

 

12.x

 

PostgreSQL

14.x

Certified

13.x

Certified

12.x

 

11.x

 

 Back to top

License manager

PulseUno uses the AutoPass License Server (APLS) to manage licenses.

Product

Version

Comments

AutoPass License Server (APLS)

12.3.0

Normally, we recommend using the latest APLS version available.

 Back to top

Browsers

The PulseUno web application is certified for the following browsers:

Firefox

Microsoft Edge

Google Chrome

Safari

Integrations with other products and tools

This PulseUno version integrates with the following OpenText and third-party products and tools.

Product

Version

Comments

Atlassian Jira

Jira Server 8.5.5

Certified

Jira Server 8.13.x

 

Jira Cloud

 

Git

Git 2.35

Certified

Git 2.x

 

GitHub Enterprise

3.8.x

 

OpenText ALM Octane

15.1.90+

Some functionality may be supported only in later versions.

OpenText Dimensions CM

14.6

 

 Back to top

Package managers

The following table lists package managers supported by this version of PulseUno vaults.

Product

Version

Comments

Maven

3.6+

By default, Maven 3.8.1+ doesn't support non-HTTPS repositories. Either set up the Vault server for HTTPS or configure Maven to allow HTTP. For details, see the PulseUno help.

npm

8.4.1+

 

Docker

20.10.17 (certified)

20.10.x

By default, Docker doesn't support non-HTTPS repositories. Either set up the Vault server for HTTPS or configure Docker to allow HTTP. For details, see the Docker help.

Python PIP

3.9.6+

 

NuGet

.NET 6 LTS

.NET Framework 4.7.2+

 

 Back to top

Plugins

The following table lists plugin integrations supported by this version of PulseUno.

Plugin

Version

Comments

Apache Ant

1.9.7+

Command line

Checkstyle

8.27

Included in the plugin

Docker

20.10.17 (certified)

20.10.x

 

DependencyCheck

7.3.0

Included in the plugin

Git

Git 2.35 (certified)

Git 2.x

 

GNU Make

 

Runs make command line

Gradle

5.0+

 

Jenkins

2.303.3+

 

Kiuwan

 

Cloud-based online service

Maven

3.6+

 

Microsoft Teams

 

Certified with Office 365

Microsoft Visual Studio

2017+

 

MSBuild

15.0+

 

OpenText Deployment Automation

6.3.5 (certified)

6.3.4+

 

OpenText Dimensions CM

14.6

 

OpenText Fortify SCA

22.1.0 (certified)

19.1+

No support for Fortify on Demand

OpenText Fortify ScanCentral SAST

22.1.0+ (certified)

21.2.x

 

OpenText Fortify SSC

22.1.0+

 

OpenText LoadRunner Cloud

 

Cloud-based service

OpenText LoadRunner Professional

2020+

 

OpenText StarTeam

17.3

 

OpenText UFT Developer

2021 R1+

 

OpenText UFT One

2021 R1 (certified)

15.0.1+

 

PMD

6.50.0

Included in the plugin

SonarQube

SonarQube server 5.6.x (long-term support) and 6.x

 

WhiteSource

 

Cloud-based online service

 Back to top